Subject: bug report with guile-2.0.13

From: "Oppe, Thomas C ERDC-RDE-ITL-MS Contractor" <[email-masked]>
Date: Sat, 31 Dec 2016 05:36:21 +0000

Dear Sir:

On the "make check" step for guile-2.0.13, I get an error message as given below:

Running list.test

Running load.test

Backtrace:

In ice-9/boot-9.scm:

160: 12 [catch #t #<catch-closure 244d4a0> ...]

In unknown file:

   ?: 11 [apply-smob/1 #<catch-closure 244d4a0>]

In ice-9/boot-9.scm:

  66: 10 [call-with-prompt prompt0 ...]

In ice-9/eval.scm:

432: 9 [eval # #]

432: 8 [eval # #]

In ice-9/boot-9.scm:

771: 7 [for-each #<procedure 265a9c0 at ice-9/eval.scm:416:20 (a)> #]

In ice-9/eval.scm:

481: 6 [lp (#<fluid 23>) (("load.test"))]

In ice-9/boot-9.scm:

2404: 5 [save-module-excursion #<procedure 3c6a0c0 at ice-9/boot-9.scm:4051:3 ()>]

4056: 4 [#<procedure 3c6a0c0 at ice-9/boot-9.scm:4051:3 ()>]

1727: 3 [%start-stack load-stack ...]

1732: 2 [#<procedure 3f75cf0 ()>]

In unknown file:

   ?: 1 [primitive-load "/u/work/oppe/guile-2.0.13/test-suite/tests/load.test"]

   ?: 0 [mkdir "/u/US_SCRATCH4/oppe/guile-2.0.13/load-test.dir" #<undefined>]

ERROR: In procedure mkdir:

ERROR: In procedure mkdir: File exists

FAIL: check-guile

==================================

1 of 1 test failed

Please report to [email-masked]

==================================

make[3]: *** [check-TESTS] Error 1

make[3]: Leaving directory `/u/US_SCRATCH4/oppe/guile-2.0.13'

make[2]: *** [check-am] Error 2

make[2]: Leaving directory `/u/US_SCRATCH4/oppe/guile-2.0.13'

make[1]: *** [check-recursive] Error 1

make[1]: Leaving directory `/u/US_SCRATCH4/oppe/guile-2.0.13'

make: *** [check] Error 2

Also, on a separate issue, when I configure with the command

./configure --prefix=${install_dir} --enable-shared --enable-static

It complains that it can't find libtool:

checking whether to build shared libraries... yes

checking whether to build static libraries... yes

checking for libltdl... no

configure: error: GNU libltdl (Libtool) not found, see README.

The "config.log" file says

configure:46273: checking for libltdl

configure:46295: gcc -o conftest -I/u/home/oppe/gcc/6-20161229/include -I/usr/include  -L/u/home/oppe/gcc/6-20161229/lib64 -L/u/home/oppe/gcc/6-20161229/lib -L/usr/lib64 -L/usr/lib conftest.c /u/home/oppe/gcc/6-20161229/lib/libltdl.so /usr/lib/libdl.so -Wl,-rpath -Wl,/u/home/oppe/gcc/6-20161229/lib -Wl,-rpath -Wl,/usr/lib  >&5

/usr/lib/libdl.so: error adding symbols: File in wrong format

collect2: error: ld returned 1 exit status

configure:46295: $? = 1

configure: failed program was:

| /* confdefs.h */

| #define PACKAGE_NAME "GNU Guile"

I can get around this problem with the following configure command:

./configure --prefix=${install_dir} --enable-shared --enable-static --without-libltdl-prefix

But is there a better solution?

Some background:

> uname -a

Linux muutill-0002.mhpcc.hpc.mil 2.6.32-642.11.1.el6.x86_64 #1 SMP Wed Oct 26 10:25:23 EDT 2016 x86_64 x86_64 x86_64 GNU/Linux

I am running the "make check" step of the GCC 6.3.1 compiler test suite, which requires "autogen" which in turn requires "guile".  Would "guile-ncurses-2.1" plus "ncurses-6.0" be a valid substitute for "guile-2.0.13" in this context?  This is a GCC 6.3.1 snapshot of 12/29/2016.

Thank you for any information.

Tom Oppe